
PB-GNU KeyNav				User's Manual				PB-GNU KeyNav
                    Last revision date: June 11, 1996


NAME
	KeyNav - navigates through file/message areas

SYNOPSIS
	keynav -[f|m] -[n] -d[+|-] [-g [num]]

VERSION
	KeyNav version 2.15 (this will work only with ProBoard 2.1x)

DESCRIPTION
	ProBoard v2.1x PEX executable. Transparently changes current file
	or message area. It respects group designations and can optionally
	restrict the change within a selected group. It will not change to
	any area that the user cannot access (read access for the message
	areas). Very useful if you want to set up keys in your file and
	message menus to change areas sequentially. When the group is not
	defined, it will simply change to the next (or previous) available
	area and will also update the current group if necessary.

	Also, changes file/message groups. As with the areas, it respects
	the access level and flags. When the group is changed, the current
	area is also set to the first area matching the new group.

OPTIONS
	All options should be preceded by the '-' character. The minimum
	required number of options is two, you need to select '-f' or '-m'
	and '-d-' or '-d+'. This will determine the mode (file or message)
	and the direction (previous or next).

	-f
		selects file area/group mode. Use this switch to change file areas
	    or groups (with '-n' for the latter). Note that you cannot use both
	    '-f' and '-m' together.

	-m
		selects message mode. Use this switch to change message areas or
	    groups (with '-n' for the latter). You cannot use both '-f' and
	    '-m' together.

	-n
		work with groups. You can use the '-f' or '-m' options with
		their usual meaning, but this will make KeyNav change the groups.

	-d-
		selects a backward scan. This will cause the area or group to be
		changed to the previous one available (with wrap around to the last).

	-d+
		selects a forward scan. This will cause the area or groups to be
		changed to the next available one (with wrap to the first).

	-g num
		if present, forces changing of areas within the group 'num' only.
		If you want to specify the current group, use the ProBoard macro
		like this: -g@<CURFILEGROUP#>@. This will restrict the change
		within the current file group. Alternatively, you can specify
		a number, like this: -g 27, which will restrict the scan to group
		27 only. This option is ignored when '-n' is specified.


EXAMPLES
	In your file menu, set up an entry like follows: hotkey >, function
	60, Run ProBoard SDK File and data: "keynav -fd+". Thus, each time
	you press the > key, you will advance to the next file area.

	Set up a hotkey [, function 60 and data: "keynav -md- -g10". Thus,
	each time you press the [ key, you will go to the previous area that
	belongs to message group 10.

	Set up a hotkey (, function 60 and data: "keynav -fnd-". This will
	change the current group to the previous available.

FILES
	KEYNAV.PEX	resides in your PEX directory or anywhere on disk (in
				which case you have to specify full path in the data
				entry line).

IDENTIFICATION
	Author: Branislav L. Slantchev
	Revision Number: 2.15
	Release Date: June 11, 1996
	Copyright (c) 1995, 1996 by Branislav L. Slantchev


LEGALITIES
	This product uses protions of PBLib C/C++ Library v2.15
	Copyright (c) 1995, 1996 by Branislav L. Slantchev

	PB-GNU KeyNav (all executables, source and documentation files)
	are copyrighted material of Branislav L. Slantchev.

	This program is free software. You can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation, version 2. This
	software is released under the terms of that license. Please
	read the included file COPYING.DOC for the full text.

	You should have received a copy of the GNU General Public License
	along with this program (file COPYING.DOC). If not, write to the Free
	Software Foundation, Inc., 675 Mass Ave, Campbridge, MA 02139, USA.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

	Branislav L. Slantchev will not be liable for any special, incidental,
	consequential, indirect or similar damages due to loss of data or
	any other reason.

	If you find this program useful, drop me a post card at the mail
	address above. I will really appreciate that.

SEE ALSO
	README.DOC file for installation instructions.
